Subject: bug#52317: 29.0.50; Unintelligible sentence in EIEIO info

From: Marco Wahl <[email-masked]>
Date: Sun, 05 Dec 2021 22:28:25 +0100

>> Visit (info "(eieio) Generics") .
>> Find the sentence
>>
>>        In CLOS, a generic call also be used to provide an argument list
>>        and dispatch precedence for all the arguments.
>>
>> This sentence is unintelligible AFAICT.
>
> I've now changed it to:
>
> In CLOS, a generic method can also be used to provide an argument list
> and dispatch precedence for all the arguments.  In @eieio{},
> dispatching only occurs for the first argument, so the @var{arglist}
> is not used.

Thanks Lars!  This fixes the issue!

> in Emacs 29.  But the documentation here talks about cl-defgeneric, so
> it's extra confusing.  (The `defgeneric' in eieio-compat.el does behave
> like described, apparently, so it's not totally wrong...  but...  it
> think perhaps the ieieo/cl method stuff needs some editing.)

Possibly.  I'll keep reporting in case I find something else...

Thanks again!
-- 
Marco